Bug 970622 - gnome-session won't come up when run on top of Xspice server
gnome-session won't come up when run on top of Xspice server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 09:17 EDT by David Jaša
Modified: 2015-02-17 10:27 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:27:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb output (5.18 KB, text/plain)
2013-06-04 10:37 EDT, David Jaša
no flags Details

  None (edit)
Description David Jaša 2013-06-04 09:17:01 EDT
Description of problem:
gnome-session won't come up when run on top of Xspice server

Version-Release number of selected component (if applicable):
gnome-session-3.8.2.1-1.fc19.x86_64
mutter-3.8.2.1-1.fc19.x86_64
xorg-x11-server-Xspice-0.1.1-0.8.20130514git77a1594.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. run Xspice-server with gnome-session as the X session:
> $ Xspice --disable-ticketing --xsession /usr/bin/gnome-session :1 --port 5900 --deferred-fps 15
(use different display and port if any of those is taken by something else)
2. connect to the Xspice server using spice client:
remote-viewer spice://<host_name>:5900/
3.

Actual results:
gnome-shell desktop won't come up ever

Expected results:
gnome-shell comes up

Additional info:
If you replace 'gnome-session' with 'startkde', KDE Plasma will come up just fine, suggesting an error somewhere in Gnome stack.
Comment 1 David Jaša 2013-06-04 10:37:07 EDT
Created attachment 756828 [details]
gdb output

The only message that comes from gnome-session is:
"""

(process:16659): GLib-CRITICAL **: g_str_has_prefix: assertion `str != NULL' failed
"""

The process is defunct:
# ps -f 16659
UID        PID  PPID  C STIME TTY      STAT   TIME CMD
shadowm+ 16659 16648  0 15:20 pts/3    Z+     0:00 [gnome-session] <defunct>

I finally managed to get a gdb output out of the crash so it's in the attachment.

(I got it by a simple script that is passed as --xsession argument and calls just "exec gdb --ex 'run' /usr/lib/gnome-session")
Comment 2 David Jaša 2013-06-04 11:46:54 EDT
When the xserver and gnome-session are run separately, both the assertion in #c0 and assertion in attachment 756828 [details] are gone. When I had run the Xspice first:
$ spice --disable-ticketing :<DISPLAY> --port <PORT> --deferred-fps 15
and gnome-session second:
DISPLAY=:1 gnome-session
I tripped flood of these assertions:
(gnome-shell:22774): dconf-CRITICAL **: unable to create file '/run/user/1000/dconf/user': Permission denied.  dconf will not work properly.

but when I deleted the file (/run/user/1000/dconf/user) and re-run g-s again, the gnome 3 desktop has come up succesfully.

When I terminated both the Xspice and gnome-session and re-run Xspice with "--session gnome-session" again, I ended up with the same assertion as in #c0 - so it won't be probably caused by gnome-session misconfiguration/leftover-files/whatever.

My test system also runs without regular X server (with gdm service stopped).
Comment 3 Fedora End Of Life 2015-01-09 13:19:41 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:27:35 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.